PHP > 5.4 draaien op een Raspberry Pi

4-02-2015

Raspberry Pi draait nog steeds op Debian Wheezy en helaas ondersteunt Wheezy geen PHP versie 5.5 of hoger.
Gelukkig kan je met een simpele aanpassing switchen naar Debian Jessie zodat je wel hogere versies kunt gebruiken.

nano /etc/apt/sources.list

Verander Wheezy naar Jessie zodat de eerste regel er als volgt uit ziet:

deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib

Nu is het alleen nog een kwestie van:

apt-get update && apt-get upgrade && apt-get autoremove

En een flinke dosis geduld hebben.
Als alles afgerond is kan je PHP installeren:

apt-get install php5 php5-cli

Ik draai nu PHP 5.6 op mijn Raspberry Pi 2!

Specialisme

HTML5, CSS3, PHP, MySQL, JavaScript & Jquery, React, Responsive Design, SEO (zoekmachine optimalisatie), Social Media Marketing, webrichtlijnen

CMS / E-commerce

WordPress, TYPO3, Joomla, ProcessWire, Prestashop, WooCommerce, OpenCart, Virtuemart, osCommerce

Frameworks

Laravel, CakePHP, Extbase & Fluid (TYPO3), Twitter Bootstrap, Foundation Framework

Contact

Paulusland 9
1679GV Midwoud

E-mail: info@bartsalle.nl
Tel. : 06-43126237
KvK: 34252794

© 2022 Bart Sallé | This website is completely handcoded by me :)